Skip to main content
POST
/
management
/
companies
/
webhook
/
subscribe
curl -X POST "https://api.cryptomate.me/management/companies/webhook/subscribe" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://api.acme.com/webhooks",
    "webhook_key": "wh_key_xyz789abc"
  }'
{
  "name": "Acme Corporation",
  "email": "contact@acme.com",
  "webhook_url": "https://api.acme.com/webhooks",
  "webhook_key": "wh_key_xyz789abc"
}
Configures or updates the webhook URL where the company will receive event notifications. Requires an API key with access level 3 or higher.

Body

url
string
required
Webhook URL. Must be a valid HTTP/HTTPS URL.
webhook_key
string
required
Secret key for webhook signature verification.

Response

name
string
Company name.
email
string
Company contact email address.
webhook_url
string
Configured webhook URL.
webhook_key
string
Webhook signing key.
curl -X POST "https://api.cryptomate.me/management/companies/webhook/subscribe" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://api.acme.com/webhooks",
    "webhook_key": "wh_key_xyz789abc"
  }'
{
  "name": "Acme Corporation",
  "email": "contact@acme.com",
  "webhook_url": "https://api.acme.com/webhooks",
  "webhook_key": "wh_key_xyz789abc"
}